name: Welcome first time contributors

on:
  pull_request_target:
    types:
      - opened
  issues:
    types:
      - opened

permissions:
  issues: write
  pull-requests: write

jobs:
  welcome:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/first-interaction@1c4688942c71f71d4f5502a26ea67c331730fa4d # v3
        with:
          repo_token: ${{ secrets.GITHUB_TOKEN }}
          issue_message: |
            Hello there ${{ github.actor }}! 👋

            Thank you and congratulations 🎉 for opening your very first issue in this project! 💖

            In case you want to work on this issue, please comment down below! We will try to get back to you as soon as we can. 👀

            For more open ended discussions and/or specific questions, please visit the [discussions page](https://github.com/super-productivity/super-productivity/discussions). 💖

          pr_message: |
            Hello there ${{ github.actor }}! 👋

            Thank you and congrats 🎉 for opening your first PR on this project! ✨ 💖

            We will try to review it soon!
